<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class MeetingNote extends Model
{
    protected $guarded = [];

    protected function casts(): array
    {
        return [
            'uploaded_files' => 'array',
        ];
    }

    public function meeting()
    {
        return $this->belongsTo(Meeting::class);
    }

    public function author()
    {
        return $this->belongsTo(User::class, 'created_by_user_id');
    }
}
